/**
 * Test case for apemanWch.
 * Runs with nodeunit.
 */

var apemanWch = require('../lib/apeman_wch.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};

exports['Run watch.'] = function (test) {
    apemanWch('myWatch01', {
        configuration: require.resolve('../doc/mocks/mock-Apemanfile.js')
    }, function (err, watchers) {
        test.ifError(err);
        watchers.closeAll();
        test.done();
    });
};

exports['Run child watch.'] = function (test) {
    apemanWch('c1#myChildWatch01', {
        configuration: require.resolve('../doc/mocks/mock-Apemanfile.js')
    }, function (err, watchers) {
        test.ifError(err);
        watchers.closeAll();
        test.done();
    });
};

exports['List command.'] = function (test) {
    apemanWch({
        configuration: require.resolve('../doc/mocks/mock-Apemanfile.js')
    }, function (err) {
        test.ifError(err);
        test.done();
    });
};

